Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions
ArgusSamples::ITask Class Reference

Base class for tasks. More...

`#include <ITask.h>`

Inheritance diagram for ArgusSamples::ITask:

List of all members.

## Public Member Functions
| ITask ()
virtual | ~ITask ()
virtual bool | initialize ()=0
| Initialize.
virtual bool | shutdown ()=0
| Shutdown.
virtual bool | start ()=0
| Start.
virtual bool | stop ()=0
| Stop.

## Detailed Description

Base class for tasks.

Tasks provide functionality like capturing of still images or video recording.

Definition at line 40 of file ITask.h.

## Constructor & Destructor Documentation

ArgusSamples::ITask::ITask | ( |  | ) |
| inline

Definition at line 43 of file ITask.h.

virtual ArgusSamples::ITask::~ITask | ( |  | ) |
| inline virtual

Definition at line 44 of file ITask.h.

## Member Function Documentation

virtual bool ArgusSamples::ITask::initialize | ( |  | ) |
| pure virtual

Initialize.

Implemented in ArgusSamples::TaskMultiSession, ArgusSamples::TaskMultiExposure, ArgusSamples::TaskVideoRecord, ArgusSamples::TaskStillCapture, and ArgusSamples::TaskGallery.

virtual bool ArgusSamples::ITask::shutdown | ( |  | ) |
| pure virtual

Shutdown.

Implemented in ArgusSamples::TaskMultiSession, ArgusSamples::TaskMultiExposure, ArgusSamples::TaskVideoRecord, ArgusSamples::TaskStillCapture, and ArgusSamples::TaskGallery.

virtual bool ArgusSamples::ITask::start | ( |  | ) |
| pure virtual

Start.

Implemented in ArgusSamples::TaskMultiSession, ArgusSamples::TaskVideoRecord, ArgusSamples::TaskMultiExposure, ArgusSamples::TaskStillCapture, and ArgusSamples::TaskGallery.

virtual bool ArgusSamples::ITask::stop | ( |  | ) |
| pure virtual

Stop.

Implemented in ArgusSamples::TaskMultiSession, ArgusSamples::TaskVideoRecord, ArgusSamples::TaskMultiExposure, ArgusSamples::TaskStillCapture, and ArgusSamples::TaskGallery.

The documentation for this class was generated from the following file:

- modules/ITask.h